For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
      • GETList or filter all FormSubmission activities
      • GETGet a single FormSubmission activity
      • DELDelete a FormSubmission activity
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
ActivitiesForm Submissions

List or filter all FormSubmission activities

||View as Markdown|
GET
https://api.close.com/api/v1/activity/form_submission/
GET
/api/v1/activity/form_submission/
$curl https://api.close.com/api/v1/activity/form_submission/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "_type": "FormSubmission",
5 "activity_at": "2025-01-02T10:30:00.000000+00:00",
6 "contact_id": "cont_q4xYmlGhA3060dEl0NDJuHRxPMuVjqLn30AFSzh1fRk",
7 "created_by": null,
8 "date_created": "2025-01-02T10:30:00.000000+00:00",
9 "date_updated": "2025-01-02T10:30:00.000000+00:00",
10 "form_configuration_id": "formconf_0325NyQ1X3HplqjyP631at",
11 "form_id": "form_0325NAK3KhCZ3EdJfDldRU",
12 "id": "acti_j0fs4KP22Ngn68GE5kInEcC7JWsbJzXthV1A8WtyZEk",
13 "ip_address": "192.168.1.100",
14 "lead_id": "lead_iuSXNk1x3446ggPVwQS7ynmp8pGRIDieRYiCnuo4yFb",
15 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
16 "origin": "https://example.com",
17 "source_url": "https://example.com/contact?utm_source=google&utm_campaign=demo",
18 "source_url_normalized": "example.com/contact",
19 "updated_by": null,
20 "user_id": null,
21 "users": [],
22 "values": {
23 "formfld_0325NAK2ePwMEBJrZZCk5F": "John Doe",
24 "formfld_0325NAK2kjTXTUFwW4i01n": "john@example.com",
25 "formfld_08slbL4D4wR3vOqf28RvhF": true
26 },
27 "values_by_name": {},
28 "created_by_name": null,
29 "updated_by_name": null,
30 "user_name": null
31 }
32 ],
33 "has_more": false
34}

Get a list of matching FormSubmission activities. In addition to standard Activity filtering parameters, you can filter by specific form(s) using the form_id or form_id__in parameters.

Was this page helpful?
Previous

Form Submission

Next

Get a single FormSubmission activity

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_limitintegerOptionalDefaults to 100
Number of results to return.
_skipintegerOptionalDefaults to 0
Number of results to skip before returning, for pagination.
id__inlist of strings or nullOptional

Filter by activity IDs (comma-separated)

lead_idlist of strings or nullOptional

Filter by lead IDs (comma-separated)

contact_idlist of strings or nullOptional

Filter by contact IDs (comma-separated)

user_idlist of strings or nullOptional

Filter by user IDs (comma-separated)

organization_idstring or nullOptional
_typelist of strings or nullOptional

Filter by activity type, e.g. Call (comma-separated)

date_created__gtedatetime or dateOptional
date_created__ltedatetime or dateOptional
date_created__gtdatetime or dateOptional
date_created__ltdatetime or dateOptional
activity_at__gtedatetime or dateOptional
activity_at__ltedatetime or dateOptional
activity_at__gtdatetime or dateOptional
activity_at__ltdatetime or dateOptional
lead_id__instringOptional
user_id__instringOptional
contact_id__instringOptional
_type__instringOptional
form_idlist of strings or nullOptional
Filter by a specific form ID.
form_id__instringOptional

Filter by multiple form IDs (comma-separated).

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response
datalist of objects
has_moreboolean

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error